#!/bin/sh

echo "Licensed Materials - Property of IBM"
echo "WPS 4.1.1 FP1"
echo "(C) Copyright IBM Corp. 2001, 2002  All Rights Reserved."
echo

# make sure the jar file is readable by the database user
chmod -f 644 wps41_fp1.jar

if [ -z "$WAS_HOME" ]; then
  case `uname -s` in
     AIX )
     WAS_HOME=/usr/WebSphere/AppServer
     JDK_BIN=$WAS_HOME/java/jre/bin/
     export JAVA2D_USEAWTFONTS=0
     ;;

     SunOS )
     WAS_HOME=/opt/WebSphere/AppServer
     ;;

     Linux )
     WAS_HOME=/opt/WebSphere/AppServer
     JDK_BIN=$WAS_HOME/java/bin/
     ;;
  esac
fi

if [ ! -f $WAS_HOME/bin/setupCmdLine.sh ]; then
  echo WebSphere Application Server not found in $WAS_HOME
  echo You must set the environment variable WAS_HOME to the install location of WebSphere Application Server before starting the installation
  exit -1
fi


if [ -z "$JDK_BIN" -a -x $WAS_HOME/java/bin/java ]; then
  JDK_BIN=$WAS_HOME/java/bin/
fi

echo Starting install...

CP=$WAS_HOME/lib/ejs.jar
CP=$CP:$WAS_HOME/lib/ibmwebas.jar
CP=$CP:$WAS_HOME/lib/websphere.jar
CP=$CP:$WAS_HOME/lib/ujc.jar
CP=$CP:$WAS_HOME/lib/xml4j.jar
CP=$CP:$WAS_HOME/lib/xerces.jar

CLASSPATH=wps41_fp1.jar:$CP:$CLASSPATH

${JDK_BIN}java -classpath ${CLASSPATH} -Dserver.root=$WAS_HOME -DserverRoot=$WAS_HOME -Dwps.jdk.bin=$JDK_BIN -Dplatform.script.cmd=sh -Dplatform.script.ext=sh run $*

